Project Chrono: chrono::sensor::ChFilterSavePtCloud Class Reference

Public Member Functions | List of all members
chrono::sensor::ChFilterSavePtCloud Class Reference
SENSOR module » Sensor Filters

## Description

A filter that, when applied to a sensor, saves point cloud data.

Format will be CSV one point per line, with data as X,Y,Z,I

`#include <ChFilterSavePtCloud.h>`

Inheritance diagram for chrono::sensor::ChFilterSavePtCloud:
[legend]
Collaboration diagram for chrono::sensor::ChFilterSavePtCloud:
[legend]

## Public Member Functions
| ChFilterSavePtCloud (std::string data_path="", std::string name="ChFilterSavePtCloud")
| Class constructor.
virtual | ~ChFilterSavePtCloud ()
| Class destructor.
virtual void | Apply ()
| Apply function. Saves point cloud data in CSV file format.
virtual void | Initialize (std::shared_ptr< ChSensor > pSensor, std::shared_ptr< SensorBuffer > &bufferInOut)
| Initializes all data needed by the filter access apply function.
Public Member Functions inherited from chrono::sensor::ChFilter
virtual | ~ChFilter ()
| Virtual class desctructor.
std::string & | Name ()
| Accesses the name of the filter.

## Additional Inherited Members
Protected Member Functions inherited from chrono::sensor::ChFilter
| ChFilter (std::string name)
| protected constructor for the filter which requires a name as input.
void | InvalidFilterGraphNullBuffer (std::shared_ptr< ChSensor > pSensor)
| Error function for invalid filter graph: null buffer found.
void | InvalidFilterGraphBufferTypeMismatch (std::shared_ptr< ChSensor > pSensor)
| Error function for invalid filter graph: type mismatch in graph.
void | InvalidFilterGraphSensorTypeMismatch (std::shared_ptr< ChSensor > pSensor)
| Error function for invalid filter graph: type mismatch in graph.

## Constructor & Destructor Documentation

## ◆ ChFilterSavePtCloud()

CH_SENSOR_API chrono::sensor::ChFilterSavePtCloud::ChFilterSavePtCloud | ( | std::string | data_path = "",
|  | std::string | name = "ChFilterSavePtCloud" )

Class constructor.

Parameters

  data_path | Path to where data should be saved
  name | the name of the filter

## Member Function Documentation

## ◆ Apply()

CH_SENSOR_API void chrono::sensor::ChFilterSavePtCloud::Apply | ( |  | ) |
| virtual

Apply function. Saves point cloud data in CSV file format.

Implements chrono::sensor::ChFilter.

## ◆ Initialize()

CH_SENSOR_API void chrono::sensor::ChFilterSavePtCloud::Initialize | ( | std::shared_ptr< ChSensor > | pSensor,
|  | std::shared_ptr< SensorBuffer > & | bufferInOut )
| virtual

Initializes all data needed by the filter access apply function.

Parameters

  pSensor | A pointer to the sensor on which the filter is attached.
  bufferInOut | A buffer that is passed into the filter.

Implements chrono::sensor::ChFilter.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_sensor/filters/ChFilterSavePtCloud.h
- D:/W/B/src/chrono-9.0.1/src/chrono_sensor/filters/ChFilterSavePtCloud.cpp